Bug 157016 - Kernel panic in drivers/block/cfq-iosched.c:1065
Kernel panic in drivers/block/cfq-iosched.c:1065
Status: CLOSED DUPLICATE of bug 155472
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-05 21:55 EDT by Srihari Vijayaraghavan
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-06 18:59:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Srihari Vijayaraghavan 2005-05-05 21:55:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.7.6) Gecko/20050317 Firefox/1.0.2

Description of problem:
Kernel panic in drivers/block/cfq-iosched.c:1065 during reboot.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3 (vanilla i686)

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
1. Issue the reboot command
2. Observe a kernel panic
3.
  

Actual Results:  Kernel panic (and a lengthy fsck session afterwards, with possible data corruption/loss too)

Expected Results:  Could have rebooted cleanly, without the panic.

Additional info:

Kernel panic - not syncing: drivers/block/cfq-iosched.c:1065: spin_is_locked on unintialized spinlock d6ce3c1c
Comment 1 Srihari Vijayaraghavan 2005-05-05 22:20:20 EDT
Oh, there was heavy load (CPU, memory and IDE hard drive etc..) just before the
reboot and panic. (I was compiling vanilla 2.6.12-rc3-git1.)

Thanks
Srihari
Comment 2 Sitsofe Wheeler 2005-05-06 14:13:17 EDT
Sounds similar to bug #155472
Comment 3 Srihari Vijayaraghavan 2005-05-06 18:59:46 EDT
Actually, you are right. It is indeed a duplicate to #155472. 
 
Thanks 
Hari


*** This bug has been marked as a duplicate of 155472 ***

Note You need to log in before you can comment on or make changes to this bug.